# BasicMessage Class Reference

Base class for messages. More...

`#include <BasicMessage.hh>`

Inheritance diagram for BasicMessage:

[legend]

List of all members.

## Public Member Functions
void | setExtents (const std::vector< Extent > &)
| Set extents.
const std::vector< Extent > & | getExtents () const
| Get extents.
void | setRegions (const BaseRegion **, int)
void | setRegions (const std::vector< RegionHandle > &)
const std::vector< RegionHandle > & | getRegions () const
## Protected Member Functions
virtual | ~BasicMessage ()
virtual void | serialize (MessageBuffer &msgBuffer)
virtual void | deserialize (MessageBuffer &msgBuffer)
void | readExtents (MessageBuffer &msgBuffer)
| Set the 'extent' attribute with the values found in a message body.
void | writeExtents (MessageBuffer &msgBuffer) const
| Write the 'extent' Message attribute into the body.
void | readRegions (MessageBuffer &msgBuffer)
void | writeRegions (MessageBuffer &msgBuffer)
## Protected Attributes
std::vector< Extent > | extents
std::vector< RegionHandle > | regions

## Detailed Description

Base class for messages.

It contains common attributes and methods for Message and NetworkMessage classes.

See also:
  Message, NetworkMessage

Definition at line 41 of file BasicMessage.hh.

## Constructor & Destructor Documentation

~BasicMessage | ( |  | ) | `[protected, virtual]`

Definition at line 38 of file BasicMessage.cc.

## Member Function Documentation

void setExtents | ( | const std::vector< Extent > & | e | ) |

Set extents.

Definition at line 46 of file BasicMessage.cc.

References BasicMessage::extents.

Referenced by DataDistribution::modifyRegion(), and RTI::RTIambassador::notifyAboutRegionModification().

const vector< Extent > & getExtents | ( |  | ) | const

Get extents.

Definition at line 56 of file BasicMessage.cc.

References BasicMessage::extents.

Referenced by RTIA::chooseFederateProcessing(), and RTIG::processModifyRegion().

void setRegions | ( | const BaseRegion ** | ,
|  | int |  |
| ) |  |  |

Referenced by DataDistribution::registerObject(), and RTI::RTIambassador::registerObjectInstanceWithRegion().

void setRegions | ( | const std::vector< RegionHandle > & | src | ) |

Definition at line 214 of file BasicMessage.cc.

References BasicMessage::regions.

const std::vector< RegionHandle > & getRegions | ( |  | ) | const

Definition at line 221 of file BasicMessage.cc.

References BasicMessage::regions.

Referenced by RTIA::chooseFederateProcessing().

void serialize | ( | MessageBuffer & | msgBuffer | ) | `[protected, virtual]`

Reimplemented in Message, NetworkMessage, NM_WithHandleArray, NM_DDM_Base, NM_Create_Federation_Execution, NM_Destroy_Federation_Execution, NM_Join_Federation_Execution, NM_Set_Time_Regulating, NM_Set_Time_Constrained, NM_Start_Registration_For_Object_Class, NM_Stop_Registration_For_Object_Class, NM_Set_Class_Relevance_Advisory_Switch, NM_Set_Interaction_Relevance_Advisory_Switch, NM_Set_Attribute_Relevance_Advisory_Switch, NM_Set_Attribute_Scope_Advisory_Switch, NM_Register_Federation_Synchronization_Point, NM_Publish_Object_Class, NM_Unpublish_Object_Class, NM_Publish_Interaction_Class, NM_Subscribe_Object_Class, NM_Register_Object, NM_Update_Attribute_Values, NM_Send_Interaction, NM_Change_Attribute_Transport_Type, NM_Change_Attribute_Order_Type, NM_Change_Interaction_Transport_Type, NM_Change_Interaction_Order_Type, NM_Request_Class_Attribute_Value_Update, NM_Request_Object_Attribute_Value_Update, NM_Is_Attribute_Owned_By_Federate, NM_DDM_Create_Region, NM_DDM_Modify_Region, NM_DDM_Delete_Region, NM_DDM_Associate_Region, NM_DDM_Register_Object, NM_DDM_Unassociate_Region, NM_DDM_Subscribe_Attributes, NM_DDM_Unsubscribe_Attributes, NM_DDM_Subscribe_Interaction, and NM_Get_FED_File.

Definition at line 62 of file BasicMessage.cc.

References certi::D, BasicMessage::extents, Extent::getRangeLowerBound(), Extent::getRangeUpperBound(), pdDebug, and BasicMessage::regions.

Referenced by NM_DDM_Delete_Region::serialize(), and NM_DDM_Modify_Region::serialize().

Here is the call graph for this function:

void deserialize | ( | MessageBuffer & | msgBuffer | ) | `[protected, virtual]`

Reimplemented in Message, NetworkMessage, NM_WithHandleArray, NM_DDM_Base, NM_Create_Federation_Execution, NM_Destroy_Federation_Execution, NM_Join_Federation_Execution, NM_Set_Time_Regulating, NM_Set_Time_Constrained, NM_Start_Registration_For_Object_Class, NM_Stop_Registration_For_Object_Class, NM_Set_Class_Relevance_Advisory_Switch, NM_Set_Interaction_Relevance_Advisory_Switch, NM_Set_Attribute_Relevance_Advisory_Switch, NM_Set_Attribute_Scope_Advisory_Switch, NM_Register_Federation_Synchronization_Point, NM_Publish_Object_Class, NM_Unpublish_Object_Class, NM_Publish_Interaction_Class, NM_Subscribe_Object_Class, NM_Register_Object, NM_Update_Attribute_Values, NM_Send_Interaction, NM_Change_Attribute_Transport_Type, NM_Change_Attribute_Order_Type, NM_Change_Interaction_Transport_Type, NM_Change_Interaction_Order_Type, NM_Request_Class_Attribute_Value_Update, NM_Request_Object_Attribute_Value_Update, NM_Is_Attribute_Owned_By_Federate, NM_DDM_Create_Region, NM_DDM_Modify_Region, NM_DDM_Delete_Region, NM_DDM_Associate_Region, NM_DDM_Register_Object, NM_DDM_Unassociate_Region, NM_DDM_Subscribe_Attributes, NM_DDM_Unsubscribe_Attributes, NM_DDM_Subscribe_Interaction, and NM_Get_FED_File.

Definition at line 88 of file BasicMessage.cc.

References certi::D, BasicMessage::extents, pdDebug, BasicMessage::regions, Extent::setRangeLowerBound(), and Extent::setRangeUpperBound().

Referenced by NM_DDM_Delete_Region::deserialize(), and NM_DDM_Modify_Region::deserialize().

Here is the call graph for this function:

void readExtents | ( | MessageBuffer & | msgBuffer | ) | `[protected]`

Set the 'extent' attribute with the values found in a message body.

Parameters:

  | body | Message body to look into

See also:
  BasicMessage::writeExtents, Extent

Definition at line 158 of file BasicMessage.cc.

References certi::D, BasicMessage::extents, pdDebug, Extent::setRangeLowerBound(), and Extent::setRangeUpperBound().

Referenced by Message::readBody().

Here is the call graph for this function:

void writeExtents | ( | MessageBuffer & | msgBuffer | ) | const`[protected]`

Write the 'extent' Message attribute into the body.

Format : number of extents. If not zero, number of dimensions. The list of extents. Extent format: list of ranges. Range format: lower bound, upper bound.

Definition at line 131 of file BasicMessage.cc.

References certi::D, BasicMessage::extents, Extent::getRangeLowerBound(), Extent::getRangeUpperBound(), and pdDebug.

Referenced by Message::writeBody().

Here is the call graph for this function:

void readRegions | ( | MessageBuffer & | msgBuffer | ) | `[protected]`

Definition at line 192 of file BasicMessage.cc.

References BasicMessage::regions.

Referenced by Message::readBody().

void writeRegions | ( | MessageBuffer & | msgBuffer | ) | `[protected]`

Definition at line 181 of file BasicMessage.cc.

References BasicMessage::regions.

Referenced by Message::writeBody().

## Member Data Documentation

std::vector<Extent> extents`[protected]`

Definition at line 62 of file BasicMessage.hh.

Referenced by BasicMessage::deserialize(), BasicMessage::getExtents(), BasicMessage::readExtents(), BasicMessage::serialize(), BasicMessage::setExtents(), and BasicMessage::writeExtents().

std::vector<RegionHandle> regions`[protected]`

Definition at line 63 of file BasicMessage.hh.

Referenced by BasicMessage::deserialize(), BasicMessage::getRegions(), BasicMessage::readRegions(), BasicMessage::serialize(), BasicMessage::setRegions(), and BasicMessage::writeRegions().

The documentation for this class was generated from the following files:

- BasicMessage.hh
- BasicMessage.cc